<div class="wrapper">
    <div class="section">
        <div class="container text-center">
            <h4 class="title">AJOUT D'UNE NOUVELLE MARQUE</h4>

            <div class="row">

                <div class="col-8 ml-auto mr-auto text-center">

                    <form class="mt-5" [formGroup]="newBrandForm"
                    (ngSubmit)="onSubmitNewBrandForm()">
                        <div *ngIf="errorMsg" class="alert alert-danger">
                            {{errorMsg}}
                        </div>

                        <label>Nom</label>

                        <div
                                *ngIf="(newBrandForm.controls.name.dirty
            || newBrandForm.controls.name.touched)
            && newBrandForm.controls.name.invalid
            && newBrandForm.controls.name.errors.required"
                                class="alert alert-danger">
                            Le noml est obligatoire
                        </div>
                        <div class="input-group">
                            <div class="input-group-prepend">
                <span class="in,put-group-text">
                    <i class="nc-icon nc-alert-circle-i"></i>
                </span>
                            </div>

                            <input
                                    type="email" class="form-control"
                                    placeholder=Nom*
                                    formControlName="name"
                                    [(ngModel)]="brand.name"
                            >
                        </div>

                        <button class="btn btn-danger btn-block btn-round mt-4"
                        [disabled]="newBrandForm.invalid">
                            Ajouter
                        </button>
                    </form>
                    <div class="forgot mt-3">
                        <a routerLink="/brands" class="btn btn-link btn-danger">
                            Revenir aux marques ?
                        </a>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
